module Generated.En exposing (en, en_001, en_150, en_AE, en_AG, en_AI, en_AS, en_AT, en_AU, en_BB, en_BE, en_BI, en_BM, en_BS, en_BW, en_BZ, en_CA, en_CC, en_CH, en_CK, en_CM, en_CX, en_CY, en_DE, en_DG, en_DK, en_DM, en_ER, en_FI, en_FJ, en_FK, en_FM, en_GB, en_GD, en_GG, en_GH, en_GI, en_GM, en_GU, en_GY, en_HK, en_IE, en_IL, en_IM, en_IN, en_IO, en_JE, en_JM, en_KE, en_KI, en_KN, en_KY, en_LC, en_LR, en_LS, en_MG, en_MH, en_MO, en_MP, en_MS, en_MT, en_MU, en_MW, en_MY, en_NA, en_NF, en_NG, en_NL, en_NR, en_NU, en_NZ, en_PG, en_PH, en_PK, en_PN, en_PR, en_PW, en_RW, en_SB, en_SC, en_SD, en_SE, en_SG, en_SH, en_SI, en_SL, en_SS, en_SX, en_SZ, en_TC, en_TK, en_TO, en_TT, en_TV, en_TZ, en_UG, en_UM, en_VC, en_VG, en_VI, en_VU, en_WS, en_ZA, en_ZM, en_ZW)

import Dict exposing (Dict)
import Internal.DayPeriodRule
import Internal.Locale exposing (DateTimeToken(..), LanguageId(..))
import Internal.Parse
import Tagged exposing (Tagged(..))


dayPeriods : Dict String (List Internal.DayPeriodRule.DayPeriodRule)
dayPeriods =
    Dict.fromList
        [ ( "en"
          , [ Internal.DayPeriodRule.FromBefore ( 12, 0 ) ( 18, 0 ) "afternoon1"
            , Internal.DayPeriodRule.FromBefore ( 18, 0 ) ( 21, 0 ) "evening1"
            , Internal.DayPeriodRule.At ( 0, 0 ) "midnight"
            , Internal.DayPeriodRule.FromBefore ( 6, 0 ) ( 12, 0 ) "morning1"
            , Internal.DayPeriodRule.FromBefore ( 21, 0 ) ( 6, 0 ) "night1"
            , Internal.DayPeriodRule.At ( 12, 0 ) "noon"
            ]
          )
        ]


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en : Internal.Locale.Locale
en =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Nothing
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_001 : Internal.Locale.Locale
en_001 =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "001"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_150 : Internal.Locale.Locale
en_150 =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "150"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AE : Internal.Locale.Locale
en_AE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "AE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AG : Internal.Locale.Locale
en_AG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "AG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_AI : Internal.Locale.Locale
en_AI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "AI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AS : Internal.Locale.Locale
en_AS =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "AS"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_AT : Internal.Locale.Locale
en_AT =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "AT"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_AU : Internal.Locale.Locale
en_AU =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "AU"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "morning" )
                            , ( "night1", "night" )
                            , ( "noon", "midday" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "midday" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "morning" )
                            , ( "night1", "night" )
                            , ( "noon", "midday" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "d/M/yy"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "Su."
                    , mon = "M."
                    , tue = "Tu."
                    , wed = "W."
                    , thu = "Th."
                    , fri = "F."
                    , sat = "Sa."
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "Su."
                    , mon = "M."
                    , tue = "Tu."
                    , wed = "W."
                    , thu = "Th."
                    , fri = "F."
                    , sat = "Sa."
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "d/M" )
                , ( "MEd", "E, d/M" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_BB : Internal.Locale.Locale
en_BB =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BB"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BE : Internal.Locale.Locale
en_BE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/yy"
                , medium = "dd MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "d/M" )
                , ( "MEd", "E, d/M" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "d/M/y" )
                , ( "yMEd", "E, d/M/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BI : Internal.Locale.Locale
en_BI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_BM : Internal.Locale.Locale
en_BM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_BS : Internal.Locale.Locale
en_BS =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BS"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BW : Internal.Locale.Locale
en_BW =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BW"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/yy"
                , medium = "dd MMM y"
                , long = "dd MMMM y"
                , full = "EEEE, dd MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "dd MMM y G" )
                , ( "GyMMMEd", "E, dd MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "dd MMM" )
                , ( "MMMEd", "E, dd MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "dd MMM y" )
                , ( "yMMMEd", "E, dd MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_BZ : Internal.Locale.Locale
en_BZ =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "BZ"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/yy"
                , medium = "dd-MMM-y"
                , long = "dd MMMM y"
                , full = "EEEE, dd MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "dd MMM" )
                , ( "MMMEd", "E, dd MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "dd MMM y" )
                , ( "yMMMEd", "E, dd MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_CA : Internal.Locale.Locale
en_CA =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CA"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "a.m."
                    , pm = "p.m."
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "a.m."
                    , pm = "p.m."
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "aft" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "eve" )
                            , ( "midnight", "mid" )
                            , ( "morning1", "mor" )
                            , ( "night1", "night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "y-MM-dd"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "MM-dd" )
                , ( "Md-alt-variant", "d/M" )
                , ( "MEd", "E, MM-dd" )
                , ( "MEd-alt-variant", "E, d/M" )
                , ( "MMdd", "MM-dd" )
                , ( "MMdd-alt-variant", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "y-MM-dd" )
                , ( "yMd-alt-variant", "d/M/y" )
                , ( "yMEd", "E, y-MM-dd" )
                , ( "yMEd-alt-variant", "E, d/M/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CC : Internal.Locale.Locale
en_CC =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CC"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CH : Internal.Locale.Locale
en_CH =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CH"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CK : Internal.Locale.Locale
en_CK =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CK"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CM : Internal.Locale.Locale
en_CM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_CX : Internal.Locale.Locale
en_CX =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CX"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_CY : Internal.Locale.Locale
en_CY =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "CY"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_DE : Internal.Locale.Locale
en_DE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "DE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_DG : Internal.Locale.Locale
en_DG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "DG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH.mm
  - Medium : HH.mm.ss
  - Long : HH.mm.ss z
  - Full : HH.mm.ss zzzz

-}
en_DK : Internal.Locale.Locale
en_DK =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "DK"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH.mm"
                , medium = "HH.mm.ss"
                , long = "HH.mm.ss z"
                , full = "HH.mm.ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h.mm a" )
                , ( "EHm", "E HH.mm" )
                , ( "Ehms", "E h.mm.ss a" )
                , ( "EHms", "E HH.mm.ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h.mm a" )
                , ( "Hm", "HH.mm" )
                , ( "hms", "h.mm.ss a" )
                , ( "Hms", "HH.mm.ss" )
                , ( "hmsv", "h.mm.ss a v" )
                , ( "Hmsv", "HH.mm.ss v" )
                , ( "hmv", "h.mm a v" )
                , ( "Hmv", "HH.mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm.ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_DM : Internal.Locale.Locale
en_DM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "DM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_ER : Internal.Locale.Locale
en_ER =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "ER"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : H.mm
  - Medium : H.mm.ss
  - Long : H.mm.ss z
  - Full : H.mm.ss zzzz

-}
en_FI : Internal.Locale.Locale
en_FI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "FI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "H.mm"
                , medium = "H.mm.ss"
                , long = "H.mm.ss z"
                , full = "H.mm.ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h.mm a" )
                , ( "EHm", "E H.mm" )
                , ( "Ehms", "E h.mm.ss a" )
                , ( "EHms", "E H.mm.ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h.mm a" )
                , ( "Hm", "H.mm" )
                , ( "hms", "h.mm.ss a" )
                , ( "Hms", "H.mm.ss" )
                , ( "hmsv", "h.mm.ss a v" )
                , ( "Hmsv", "H.mm.ss v" )
                , ( "hmv", "h.mm a v" )
                , ( "Hmv", "H.mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm.ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "Hmm"
                , medium = "Hmmss"
                , long = "Hmmssz"
                , full = "Hmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_FJ : Internal.Locale.Locale
en_FJ =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "FJ"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_FK : Internal.Locale.Locale
en_FK =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "FK"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_FM : Internal.Locale.Locale
en_FM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "FM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_GB : Internal.Locale.Locale
en_GB =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GB"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GD : Internal.Locale.Locale
en_GD =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GD"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_GG : Internal.Locale.Locale
en_GG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GH : Internal.Locale.Locale
en_GH =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GH"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_GI : Internal.Locale.Locale
en_GI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GM : Internal.Locale.Locale
en_GM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GU : Internal.Locale.Locale
en_GU =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GU"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_GY : Internal.Locale.Locale
en_GY =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "GY"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : d/M/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_HK : Internal.Locale.Locale
en_HK =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "HK"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "d/M/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMEd", "E, d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "d/M/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_IE : Internal.Locale.Locale
en_IE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "IE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "a.m."
                    , pm = "p.m."
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "d/M" )
                , ( "MEd", "E, d/M" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "d/M/y" )
                , ( "yMEd", "E, d/M/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : H:mm
  - Medium : H:mm:ss
  - Long : H:mm:ss z
  - Full : H:mm:ss zzzz

-}
en_IL : Internal.Locale.Locale
en_IL =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "IL"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "H:mm"
                , medium = "H:mm:ss"
                , long = "H:mm:ss z"
                , full = "H:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E H:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E H:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "H" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "H:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "H:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "Hmm"
                , medium = "Hmmss"
                , long = "Hmmssz"
                , full = "Hmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_IM : Internal.Locale.Locale
en_IM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "IM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/yy
  - Medium : dd-MMM-y
  - Long : d MMMM y
  - Full : EEEE, d MMMM, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_IN : Internal.Locale.Locale
en_IN =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "IN"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/yy"
                , medium = "dd-MMM-y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E, h:mm a" )
                , ( "EHm", "E, HH:mm" )
                , ( "Ehms", "E, h:mm:ss a" )
                , ( "EHms", "E, HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "d/M/y" )
                , ( "yMEd", "E, d/M/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_IO : Internal.Locale.Locale
en_IO =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "IO"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_JE : Internal.Locale.Locale
en_JE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "JE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_JM : Internal.Locale.Locale
en_JM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "JM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_KE : Internal.Locale.Locale
en_KE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "KE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_KI : Internal.Locale.Locale
en_KI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "KI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_KN : Internal.Locale.Locale
en_KN =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "KN"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_KY : Internal.Locale.Locale
en_KY =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "KY"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_LC : Internal.Locale.Locale
en_LC =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "LC"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_LR : Internal.Locale.Locale
en_LR =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "LR"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_LS : Internal.Locale.Locale
en_LS =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "LS"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MG : Internal.Locale.Locale
en_MG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MH : Internal.Locale.Locale
en_MH =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MH"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MO : Internal.Locale.Locale
en_MO =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MO"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MP : Internal.Locale.Locale
en_MP =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MP"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MS : Internal.Locale.Locale
en_MS =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MS"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MT : Internal.Locale.Locale
en_MT =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MT"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "dd MMM y"
                , long = "dd MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "dd MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "dd MMM y" )
                , ( "yMMMEd", "E, dd MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_MU : Internal.Locale.Locale
en_MU =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MU"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MW : Internal.Locale.Locale
en_MW =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MW"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_MY : Internal.Locale.Locale
en_MY =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "MY"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_NA : Internal.Locale.Locale
en_NA =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NA"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NF : Internal.Locale.Locale
en_NF =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NF"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NG : Internal.Locale.Locale
en_NG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NL : Internal.Locale.Locale
en_NL =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NL"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NR : Internal.Locale.Locale
en_NR =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NR"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_NU : Internal.Locale.Locale
en_NU =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NU"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : d/MM/yy
  - Medium : d/MM/y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_NZ : Internal.Locale.Locale
en_NZ =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "NZ"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "d/MM/yy"
                , medium = "d/MM/y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "d/M" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "d/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PG : Internal.Locale.Locale
en_PG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "PG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PH : Internal.Locale.Locale
en_PH =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "PH"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : dd-MMM-y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PK : Internal.Locale.Locale
en_PK =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "PK"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "dd-MMM-y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_PN : Internal.Locale.Locale
en_PN =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "PN"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PR : Internal.Locale.Locale
en_PR =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "PR"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_PW : Internal.Locale.Locale
en_PW =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "PW"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_RW : Internal.Locale.Locale
en_RW =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "RW"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SB : Internal.Locale.Locale
en_SB =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SB"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SC : Internal.Locale.Locale
en_SC =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SC"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SD : Internal.Locale.Locale
en_SD =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SD"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : y-MM-dd
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SE : Internal.Locale.Locale
en_SE =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SE"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "y-MM-dd"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "y-MM" )
                , ( "yMd", "y-MM-dd" )
                , ( "yMEd", "E, y-MM-dd" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : d/M/yy
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SG : Internal.Locale.Locale
en_SG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "d/M/yy"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SH : Internal.Locale.Locale
en_SH =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SH"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SI : Internal.Locale.Locale
en_SI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SL : Internal.Locale.Locale
en_SL =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SL"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SS : Internal.Locale.Locale
en_SS =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SS"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_SX : Internal.Locale.Locale
en_SX =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SX"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_SZ : Internal.Locale.Locale
en_SZ =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "SZ"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_TC : Internal.Locale.Locale
en_TC =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "TC"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_TK : Internal.Locale.Locale
en_TK =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "TK"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_TO : Internal.Locale.Locale
en_TO =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "TO"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_TT : Internal.Locale.Locale
en_TT =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "TT"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_TV : Internal.Locale.Locale
en_TV =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "TV"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_TZ : Internal.Locale.Locale
en_TZ =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "TZ"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_UG : Internal.Locale.Locale
en_UG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "UG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_UM : Internal.Locale.Locale
en_UM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "UM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VC : Internal.Locale.Locale
en_VC =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "VC"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VG : Internal.Locale.Locale
en_VG =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "VG"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : M/d/yy
  - Medium : MMM d, y
  - Long : MMMM d, y
  - Full : EEEE, MMMM d, y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VI : Internal.Locale.Locale
en_VI =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "VI"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "AM"
                    , pm = "PM"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "M/d/yy"
                , medium = "MMM d, y"
                , long = "MMMM d, y"
                , full = "EEEE, MMMM d, y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sep"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E h:mm B" )
                , ( "EBhms", "E h:mm:ss B" )
                , ( "Ed", "d E" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "M/d/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "MMM d, y G" )
                , ( "GyMMMEd", "E, MMM d, y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "M/d" )
                , ( "MEd", "E, M/d" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "MMM d" )
                , ( "MMMEd", "E, MMM d" )
                , ( "MMMMd", "MMMM d" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "M/y" )
                , ( "yMd", "M/d/y" )
                , ( "yMEd", "E, M/d/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "MMM d, y" )
                , ( "yMMMEd", "E, MMM d, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_VU : Internal.Locale.Locale
en_VU =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "VU"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_WS : Internal.Locale.Locale
en_WS =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "WS"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : y/MM/dd
  - Medium : dd MMM y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_ZA : Internal.Locale.Locale
en_ZA =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "ZA"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "y/MM/dd"
                , medium = "dd MMM y"
                , long = "dd MMMM y"
                , full = "EEEE, dd MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "MM/dd" )
                , ( "MEd", "E, MM/dd" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "dd MMM" )
                , ( "MMMEd", "E, dd MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "y/MM/dd" )
                , ( "yMEd", "E, y/MM/dd" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "dd MMM y" )
                , ( "yMMMEd", "E, dd MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : dd/MM/y
  - Medium : d MMM y
  - Long : d MMMM y
  - Full : EEEE, d MMMM y

Time format strings:

  - Short : h:mm a
  - Medium : h:mm:ss a
  - Long : h:mm:ss a z
  - Full : h:mm:ss a zzzz

-}
en_ZM : Internal.Locale.Locale
en_ZM =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "ZM"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "dd/MM/y"
                , medium = "d MMM y"
                , long = "d MMMM y"
                , full = "EEEE, d MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "h:mm a"
                , medium = "h:mm:ss a"
                , long = "h:mm:ss a z"
                , full = "h:mm:ss a zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "dd/MM" )
                , ( "MEd", "E, dd/MM" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "d MMM" )
                , ( "MMMEd", "E, d MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "dd/MM/y" )
                , ( "yMEd", "E, dd/MM/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "d MMM y" )
                , ( "yMMMEd", "E, d MMM y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "ahmm"
                , medium = "ahmmss"
                , long = "ahmmssz"
                , full = "ahmmsszzzz"
                }
            }
        )


{-| Date format strings:

  - Short : d/M/y
  - Medium : dd MMM,y
  - Long : dd MMMM y
  - Full : EEEE, dd MMMM y

Time format strings:

  - Short : HH:mm
  - Medium : HH:mm:ss
  - Long : HH:mm:ss z
  - Full : HH:mm:ss zzzz

-}
en_ZW : Internal.Locale.Locale
en_ZW =
    Maybe.withDefault
        Internal.Locale.empty
        (Internal.Parse.parse
            dayPeriods
            { language = "en"
            , script = Nothing
            , territory = Just "ZW"
            , variant = Nothing
            , periodNames =
                { abbreviated =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , wide =
                    { am = "am"
                    , pm = "pm"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "midnight" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "noon" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                , narrow =
                    { am = "a"
                    , pm = "p"
                    , dayPeriods =
                        Dict.fromList
                            [ ( "afternoon1", "in the afternoon" )
                            , ( "am-alt-variant", "am" )
                            , ( "evening1", "in the evening" )
                            , ( "midnight", "mi" )
                            , ( "morning1", "in the morning" )
                            , ( "night1", "at night" )
                            , ( "noon", "n" )
                            , ( "pm-alt-variant", "pm" )
                            ]
                    }
                }
            , datePatterns =
                { short = "d/M/y"
                , medium = "dd MMM,y"
                , long = "dd MMMM y"
                , full = "EEEE, dd MMMM y"
                }
            , monthFormatNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , monthStandaloneNames =
                { abbreviated =
                    { jan = "Jan"
                    , feb = "Feb"
                    , mar = "Mar"
                    , apr = "Apr"
                    , may = "May"
                    , jun = "Jun"
                    , jul = "Jul"
                    , aug = "Aug"
                    , sep = "Sept"
                    , oct = "Oct"
                    , nov = "Nov"
                    , dec = "Dec"
                    }
                , wide =
                    { jan = "January"
                    , feb = "February"
                    , mar = "March"
                    , apr = "April"
                    , may = "May"
                    , jun = "June"
                    , jul = "July"
                    , aug = "August"
                    , sep = "September"
                    , oct = "October"
                    , nov = "November"
                    , dec = "December"
                    }
                , narrow =
                    { jan = "J"
                    , feb = "F"
                    , mar = "M"
                    , apr = "A"
                    , may = "M"
                    , jun = "J"
                    , jul = "J"
                    , aug = "A"
                    , sep = "S"
                    , oct = "O"
                    , nov = "N"
                    , dec = "D"
                    }
                }
            , weekdayFormatNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , weekdayStandaloneNames =
                { abbreviated =
                    { sun = "Sun"
                    , mon = "Mon"
                    , tue = "Tue"
                    , wed = "Wed"
                    , thu = "Thu"
                    , fri = "Fri"
                    , sat = "Sat"
                    }
                , wide =
                    { sun = "Sunday"
                    , mon = "Monday"
                    , tue = "Tuesday"
                    , wed = "Wednesday"
                    , thu = "Thursday"
                    , fri = "Friday"
                    , sat = "Saturday"
                    }
                , narrow =
                    { sun = "S"
                    , mon = "M"
                    , tue = "T"
                    , wed = "W"
                    , thu = "T"
                    , fri = "F"
                    , sat = "S"
                    }
                }
            , eraNames =
                { abbreviated = { bc = "BC", ad = "AD" }
                , wide = { bc = "Before Christ", ad = "Anno Domini" }
                , narrow = { bc = "B", ad = "A" }
                }
            , timePatterns =
                { short = "HH:mm"
                , medium = "HH:mm:ss"
                , long = "HH:mm:ss z"
                , full = "HH:mm:ss zzzz"
                }
            , dateTimePatterns =
                { short = "{1}, {0}"
                , medium = "{1}, {0}"
                , long = "{1} 'at' {0}"
                , full = "{1} 'at' {0}"
                }
            , availableFormats =
                [ ( "Bh", "h B" )
                , ( "Bhm", "h:mm B" )
                , ( "Bhms", "h:mm:ss B" )
                , ( "d", "d" )
                , ( "E", "ccc" )
                , ( "EBhm", "E, h:mm B" )
                , ( "EBhms", "E, h:mm:ss B" )
                , ( "Ed", "E d" )
                , ( "Ehm", "E h:mm a" )
                , ( "EHm", "E HH:mm" )
                , ( "Ehms", "E h:mm:ss a" )
                , ( "EHms", "E HH:mm:ss" )
                , ( "Gy", "y G" )
                , ( "GyMd", "d/M/y GGGGG" )
                , ( "GyMMM", "MMM y G" )
                , ( "GyMMMd", "d MMM y G" )
                , ( "GyMMMEd", "E, d MMM y G" )
                , ( "h", "h a" )
                , ( "H", "HH" )
                , ( "hm", "h:mm a" )
                , ( "Hm", "HH:mm" )
                , ( "hms", "h:mm:ss a" )
                , ( "Hms", "HH:mm:ss" )
                , ( "hmsv", "h:mm:ss a v" )
                , ( "Hmsv", "HH:mm:ss v" )
                , ( "hmv", "h:mm a v" )
                , ( "Hmv", "HH:mm v" )
                , ( "M", "L" )
                , ( "Md", "d/M" )
                , ( "MEd", "E, d/M" )
                , ( "MMdd", "dd/MM" )
                , ( "MMM", "LLL" )
                , ( "MMMd", "dd MMM" )
                , ( "MMMEd", "E, dd MMM" )
                , ( "MMMMd", "d MMMM" )
                , ( "MMMMW-count-one", "'week' W 'of' MMMM" )
                , ( "MMMMW-count-other", "'week' W 'of' MMMM" )
                , ( "ms", "mm:ss" )
                , ( "y", "y" )
                , ( "yM", "MM/y" )
                , ( "yMd", "d/M/y" )
                , ( "yMEd", "E, d/M/y" )
                , ( "yMMM", "MMM y" )
                , ( "yMMMd", "dd MMM, y" )
                , ( "yMMMEd", "E, dd MMM, y" )
                , ( "yMMMM", "MMMM y" )
                , ( "yQQQ", "QQQ y" )
                , ( "yQQQQ", "QQQQ y" )
                , ( "yw-count-one", "'week' w 'of' Y" )
                , ( "yw-count-other", "'week' w 'of' Y" )
                ]
            , timeSkeletons =
                { short = "HHmm"
                , medium = "HHmmss"
                , long = "HHmmssz"
                , full = "HHmmsszzzz"
                }
            }
        )
